#!/bin/bash

# Expects 2 arguments:
#
# $1: directory with stdlist-file (output files will be put in here)
# $2: directory with ground-truth (rttm, ecf and tlist) files

export STD=$1
export P=$2

# STDEval directory (we assume that it is located in the working directory)
export I="STDEval-0.7/src"

perl -I $I $I/STDEval.pl -s $STD/*.stdlist.xml -number-trials-per-sec=1 \
     -e $P/sws2013.ecf.xml \
     -r $P/sws2013_*.rttm \
     -t $P/sws2013_*.tlist.xml \
     -A -o $STD/score.occ.txt -a $STD/score.ali.txt -d $STD/score.det -c $STD/score.cache \
     -S 2.0 -F 0.5 \
     -p 0.00015 -k 1 -K 100 >& $STD/score.log

# P_target = 0.00015
# C_fa = 1
# C_miss = 100

# The following code creates the graphs (.ps and .pdf files)
# It assumes that the gnuplot and ps2pdf commands are available
for file in `ls $STD/*.plt`
do
   export out=`echo $file|sed 's/.plt/.pdf/'`
   gnuplot $file | ps2pdf - $out
done
